com.singularsys.jep.misc.nullwrapper.functions

## Class NullWrappedAbstractInc

- java.lang.Object
- - com.singularsys.jep.functions.PostfixMathCommand
  - - com.singularsys.jep.misc.javaops.AbstractInc
    - - com.singularsys.jep.misc.nullwrapper.functions.NullWrappedAbstractInc

- All Implemented Interfaces:
    CallbackEvaluationI, NullWrappedFunctionI, PostfixMathCommandI, java.io.Serializable

      public class NullWrappedAbstractInc
      extends AbstractInc
      implements NullWrappedFunctionI

  Null wrapped version of the AbstractInc functions.
  Author:
    rich
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `curNumberOfParameters, name, NaN, numberOfParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullWrappedAbstractInc(AbstractInc root)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate(Node node, Evaluator pv)` Performs some special evaluation on the node.
    `AbstractInc` | `getRoot()` Get to function which this function wraps.
    `void` | `setName(java.lang.String name)` Sets the name of the function used for error messages

    - ### Methods inherited from class com.singularsys.jep.misc.javaops.AbstractInc

      `getVal, getVar`

    - ### Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, getName, getNumberOfParameters, run, setCurNumberOfParameters, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NullWrappedAbstractInc

          public NullWrappedAbstractInc(AbstractInc root)

  - ### Method Detail

    - #### getRoot

          public AbstractInc getRoot()

      Description copied from interface: `NullWrappedFunctionI`
      Get to function which this function wraps.
      Specified by:
        `getRoot` in interface `NullWrappedFunctionI`
      Returns:
        the root function, may be "this".

    - #### evaluate

          public java.lang.Object evaluate(Node node,
                                           Evaluator pv)
                                    throws EvaluationException

      Description copied from interface: `CallbackEvaluationI`
      Performs some special evaluation on the node. This method has the responsibility for evaluating the children of the node and it should generally call

           pv.eval(node.jjtGetChild(i))

      for each child. The SymbolTable is not passed as an argument. This is because it is better practice to get and set variable values by using node.getVar().setValue() rather that through the SymbolTable with requires a hashtable lookup.
      Specified by:
        `evaluate` in interface `CallbackEvaluationI`
      Parameters:
        `node` - The current node
        `pv` - The visitor, can be used evaluate the children
      Returns:
        the value after evaluation. This value will be passed to other functions higher up the node tree. The value can be any type including Double or Vector<Object>
      Throws:
        `EvaluationException` - if the calculation cannot be performed
      See Also:
        `Evaluator`

    - #### setName

          public void setName(java.lang.String name)

      Description copied from interface: `PostfixMathCommandI`
      Sets the name of the function used for error messages
      Specified by:
        `setName` in interface `PostfixMathCommandI`
      Overrides:
        `setName` in class `PostfixMathCommand`
      Parameters:
        `name` - the function name

Copyright © 2018 Singular Systems http://www.singularsys.com/jep